# Narrative Design Workflow
name: narrative
description: "Narrative design workflow for story-driven games and applications. Creates comprehensive narrative documentation including story structure, character arcs, dialogue systems, and narrative implementation guidance."
author: "BMad"

# Critical variables from config
config_source: "{project-root}/bmad/bmm/config.yaml"
output_folder: "{config_source}:output_folder"
user_name: "{config_source}:user_name"
date: system-generated

# Workflow components
installed_path: "{project-root}/bmad/bmm/workflows/2-plan/narrative"
instructions: "{installed_path}/instructions-narrative.md"
template: "{installed_path}/narrative-template.md"

# Output configuration
default_output_file: "{output_folder}/narrative-design.md"

# Recommended input documents
recommended_inputs:
  - game_brief: "{output_folder}/game-brief.md"
  - gdd: "{output_folder}/GDD.md"
  - product_brief: "{output_folder}/product-brief.md"

# Workflow configuration
interactive: true # User checkpoints throughout
autonomous: false # Requires user input
allow_parallel: false # Sequential narrative development

# Narrative frameworks available
frameworks:
  - "Hero's Journey"
  - "Three-Act Structure"
  - "Character Arc Development"
  - "Branching Narrative Design"
  - "Environmental Storytelling"
  - "Dialogue Systems"
  - "Narrative Pacing"
